#ifndef UI_DLGEFFECTS_H
#define UI_DLGEFFECTS_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QComboBox>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QGroupBox>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QSpinBox>

class Ui_DlgEffects
{
public:
    QGridLayout *gridLayout;
    QHBoxLayout *hboxLayout;
    QPushButton *iButtonHelp;
    QSpacerItem *spacerItem;
    QPushButton *iButtonOk;
    QPushButton *iButtonCancel;
    QGroupBox *iPresentationGroup;
    QGridLayout *gridLayout1;
    QSpinBox *iTransitionSpinBox;
    QComboBox *iEffectComboBox;
    QSpinBox *iDurationSpinBox;
    QLabel *iDurationLabel;
    QLabel *iTransitionLabel;
    QLabel *iEffectLabel;
    QSpacerItem *spacerItem1;

    void setupUi(QDialog *DlgEffects)
    {
    DlgEffects->setObjectName(QString::fromUtf8("DlgEffects"));
    DlgEffects->resize(QSize(486, 169).expandedTo(DlgEffects->minimumSizeHint()));
    DlgEffects->setSizeGripEnabled(true);
    gridLayout = new QGridLayout(DlgEffects);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(8);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    iButtonHelp = new QPushButton(DlgEffects);
    iButtonHelp->setObjectName(QString::fromUtf8("iButtonHelp"));
    iButtonHelp->setAutoDefault(true);

    hboxLayout->addWidget(iButtonHelp);

    spacerItem = new QSpacerItem(211, 25, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem);

    iButtonOk = new QPushButton(DlgEffects);
    iButtonOk->setObjectName(QString::fromUtf8("iButtonOk"));
    iButtonOk->setAutoDefault(true);
    iButtonOk->setDefault(true);

    hboxLayout->addWidget(iButtonOk);

    iButtonCancel = new QPushButton(DlgEffects);
    iButtonCancel->setObjectName(QString::fromUtf8("iButtonCancel"));
    iButtonCancel->setAutoDefault(true);

    hboxLayout->addWidget(iButtonCancel);


    gridLayout->addLayout(hboxLayout, 1, 0, 1, 1);

    iPresentationGroup = new QGroupBox(DlgEffects);
    iPresentationGroup->setObjectName(QString::fromUtf8("iPresentationGroup"));
    gridLayout1 = new QGridLayout(iPresentationGroup);
    gridLayout1->setSpacing(6);
    gridLayout1->setMargin(8);
    gridLayout1->setObjectName(QString::fromUtf8("gridLayout1"));
    iTransitionSpinBox = new QSpinBox(iPresentationGroup);
    iTransitionSpinBox->setObjectName(QString::fromUtf8("iTransitionSpinBox"));
    iTransitionSpinBox->setButtonSymbols(QAbstractSpinBox::UpDownArrows);
    iTransitionSpinBox->setMaximum(10);
    iTransitionSpinBox->setMinimum(1);
    iTransitionSpinBox->setSingleStep(1);
    iTransitionSpinBox->setValue(1);

    gridLayout1->addWidget(iTransitionSpinBox, 2, 2, 1, 1);

    iEffectComboBox = new QComboBox(iPresentationGroup);
    iEffectComboBox->setObjectName(QString::fromUtf8("iEffectComboBox"));

    gridLayout1->addWidget(iEffectComboBox, 1, 1, 1, 2);

    iDurationSpinBox = new QSpinBox(iPresentationGroup);
    iDurationSpinBox->setObjectName(QString::fromUtf8("iDurationSpinBox"));
    iDurationSpinBox->setWrapping(true);
    iDurationSpinBox->setMaximum(600);

    gridLayout1->addWidget(iDurationSpinBox, 0, 1, 1, 2);

    iDurationLabel = new QLabel(iPresentationGroup);
    iDurationLabel->setObjectName(QString::fromUtf8("iDurationLabel"));

    gridLayout1->addWidget(iDurationLabel, 0, 0, 1, 1);

    iTransitionLabel = new QLabel(iPresentationGroup);
    iTransitionLabel->setObjectName(QString::fromUtf8("iTransitionLabel"));

    gridLayout1->addWidget(iTransitionLabel, 2, 0, 1, 2);

    iEffectLabel = new QLabel(iPresentationGroup);
    iEffectLabel->setObjectName(QString::fromUtf8("iEffectLabel"));

    gridLayout1->addWidget(iEffectLabel, 1, 0, 1, 1);

    spacerItem1 = new QSpacerItem(157, 16, QSizePolicy::Minimum, QSizePolicy::Expanding);

    gridLayout1->addItem(spacerItem1, 3, 0, 1, 3);


    gridLayout->addWidget(iPresentationGroup, 0, 0, 1, 1);

    QWidget::setTabOrder(iDurationSpinBox, iEffectComboBox);
    QWidget::setTabOrder(iEffectComboBox, iTransitionSpinBox);
    QWidget::setTabOrder(iTransitionSpinBox, iButtonHelp);
    QWidget::setTabOrder(iButtonHelp, iButtonOk);
    QWidget::setTabOrder(iButtonOk, iButtonCancel);
    retranslateUi(DlgEffects);
    QObject::connect(iButtonOk, SIGNAL(clicked()), DlgEffects, SLOT(accept()));
    QObject::connect(iButtonCancel, SIGNAL(clicked()), DlgEffects, SLOT(reject()));

    QMetaObject::connectSlotsByName(DlgEffects);
    } // setupUi

    void retranslateUi(QDialog *DlgEffects)
    {
    DlgEffects->setWindowTitle(QApplication::translate("DlgEffects", "Ipe view effect", 0, QApplication::UnicodeUTF8));
    iButtonHelp->setText(QApplication::translate("DlgEffects", "&What's this?", 0, QApplication::UnicodeUTF8));
    iButtonOk->setText(QApplication::translate("DlgEffects", "&OK", 0, QApplication::UnicodeUTF8));
    iButtonCancel->setText(QApplication::translate("DlgEffects", "&Cancel", 0, QApplication::UnicodeUTF8));
    iPresentationGroup->setWhatsThis(QApplication::translate("DlgEffects", "Here you define a view of the current Ipe page. A view consists of one or more layers of the page, and can optionally include a blend-in effect and a view duration.", 0, QApplication::UnicodeUTF8));
    iPresentationGroup->setTitle(QApplication::translate("DlgEffects", "Transition effect", 0, QApplication::UnicodeUTF8));
    iTransitionSpinBox->setToolTip(QApplication::translate("DlgEffects", "Duration of the blend-in effect", 0, QApplication::UnicodeUTF8));
    iTransitionSpinBox->setWhatsThis(QApplication::translate("DlgEffects", "Here you can change the speed of the effect. The time indicates how long the effect lasts.", 0, QApplication::UnicodeUTF8));
    iTransitionSpinBox->setSuffix(QApplication::translate("DlgEffects", " sec", 0, QApplication::UnicodeUTF8));
    iEffectComboBox->setToolTip(QApplication::translate("DlgEffects", "Blend-in effect for the view", 0, QApplication::UnicodeUTF8));
    iEffectComboBox->setWhatsThis(QApplication::translate("DlgEffects", "Here you can select any special effect to be used for moving to this page view. In other words, this effect is used when this view is blended <em>in</em>.", 0, QApplication::UnicodeUTF8));
    iDurationSpinBox->setToolTip(QApplication::translate("DlgEffects", "View duration", 0, QApplication::UnicodeUTF8));
    iDurationSpinBox->setWhatsThis(QApplication::translate("DlgEffects", "Here you can determine how long the PDF viewer rests on this page view, before it proceeds to the next page. <em>Manual</em> means that the PDF viewer does not proceed automatically.", 0, QApplication::UnicodeUTF8));
    iDurationSpinBox->setSpecialValueText(QApplication::translate("DlgEffects", "Manual", 0, QApplication::UnicodeUTF8));
    iDurationSpinBox->setSuffix(QApplication::translate("DlgEffects", " sec", 0, QApplication::UnicodeUTF8));
    iDurationLabel->setText(QApplication::translate("DlgEffects", "Duration:", 0, QApplication::UnicodeUTF8));
    iTransitionLabel->setText(QApplication::translate("DlgEffects", "Transition time:", 0, QApplication::UnicodeUTF8));
    iEffectLabel->setText(QApplication::translate("DlgEffects", "Effect:", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(DlgEffects);
    } // retranslateUi

};

namespace Ui {
    class DlgEffects: public Ui_DlgEffects {};
} // namespace Ui

#endif // UI_DLGEFFECTS_H
