#ifndef UI_DLGPAGE_H
#define UI_DLGPAGE_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QGroupBox>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>

class Ui_DlgPage
{
public:
    QVBoxLayout *vboxLayout;
    QGroupBox *iSectionGroup;
    QGridLayout *gridLayout;
    QLineEdit *iSectionEditor;
    QLabel *iSectionLabel;
    QLabel *iSubsectionLabel;
    QLineEdit *iSubsectionEditor;
    QHBoxLayout *hboxLayout;
    QPushButton *iButtonHelp;
    QSpacerItem *spacerItem;
    QPushButton *iButtonOk;
    QPushButton *iButtonCancel;

    void setupUi(QDialog *DlgPage)
    {
    DlgPage->setObjectName(QString::fromUtf8("DlgPage"));
    DlgPage->resize(QSize(589, 157).expandedTo(DlgPage->minimumSizeHint()));
    DlgPage->setSizeGripEnabled(true);
    vboxLayout = new QVBoxLayout(DlgPage);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(8);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    iSectionGroup = new QGroupBox(DlgPage);
    iSectionGroup->setObjectName(QString::fromUtf8("iSectionGroup"));
    gridLayout = new QGridLayout(iSectionGroup);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(8);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    iSectionEditor = new QLineEdit(iSectionGroup);
    iSectionEditor->setObjectName(QString::fromUtf8("iSectionEditor"));

    gridLayout->addWidget(iSectionEditor, 0, 1, 1, 1);

    iSectionLabel = new QLabel(iSectionGroup);
    iSectionLabel->setObjectName(QString::fromUtf8("iSectionLabel"));

    gridLayout->addWidget(iSectionLabel, 0, 0, 1, 1);

    iSubsectionLabel = new QLabel(iSectionGroup);
    iSubsectionLabel->setObjectName(QString::fromUtf8("iSubsectionLabel"));

    gridLayout->addWidget(iSubsectionLabel, 1, 0, 1, 1);

    iSubsectionEditor = new QLineEdit(iSectionGroup);
    iSubsectionEditor->setObjectName(QString::fromUtf8("iSubsectionEditor"));

    gridLayout->addWidget(iSubsectionEditor, 1, 1, 1, 1);


    vboxLayout->addWidget(iSectionGroup);

    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    iButtonHelp = new QPushButton(DlgPage);
    iButtonHelp->setObjectName(QString::fromUtf8("iButtonHelp"));
    iButtonHelp->setAutoDefault(true);

    hboxLayout->addWidget(iButtonHelp);

    spacerItem = new QSpacerItem(211, 25, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem);

    iButtonOk = new QPushButton(DlgPage);
    iButtonOk->setObjectName(QString::fromUtf8("iButtonOk"));
    iButtonOk->setAutoDefault(true);
    iButtonOk->setDefault(true);

    hboxLayout->addWidget(iButtonOk);

    iButtonCancel = new QPushButton(DlgPage);
    iButtonCancel->setObjectName(QString::fromUtf8("iButtonCancel"));
    iButtonCancel->setAutoDefault(true);

    hboxLayout->addWidget(iButtonCancel);


    vboxLayout->addLayout(hboxLayout);

    QWidget::setTabOrder(iSectionEditor, iSubsectionEditor);
    QWidget::setTabOrder(iSubsectionEditor, iButtonHelp);
    QWidget::setTabOrder(iButtonHelp, iButtonOk);
    QWidget::setTabOrder(iButtonOk, iButtonCancel);
    retranslateUi(DlgPage);
    QObject::connect(iButtonOk, SIGNAL(clicked()), DlgPage, SLOT(accept()));
    QObject::connect(iButtonCancel, SIGNAL(clicked()), DlgPage, SLOT(reject()));

    QMetaObject::connectSlotsByName(DlgPage);
    } // setupUi

    void retranslateUi(QDialog *DlgPage)
    {
    DlgPage->setWindowTitle(QApplication::translate("DlgPage", "Ipe page", 0, QApplication::UnicodeUTF8));
    iSectionGroup->setTitle(QApplication::translate("DlgPage", "Sections", 0, QApplication::UnicodeUTF8));
    iSectionEditor->setWhatsThis(QApplication::translate("DlgPage", "<qt>The title of the document section starting on this page.  If left empty, this page continues a section.</qt> ", 0, QApplication::UnicodeUTF8));
    iSectionLabel->setText(QApplication::translate("DlgPage", "Section:", 0, QApplication::UnicodeUTF8));
    iSubsectionLabel->setText(QApplication::translate("DlgPage", "Subsection:", 0, QApplication::UnicodeUTF8));
    iSubsectionEditor->setWhatsThis(QApplication::translate("DlgPage", "<qt>The title of the document subsection starting on this page.  If left empty, this page continues a subsection.</qt> ", 0, QApplication::UnicodeUTF8));
    iButtonHelp->setText(QApplication::translate("DlgPage", "&What's this?", 0, QApplication::UnicodeUTF8));
    iButtonOk->setText(QApplication::translate("DlgPage", "&OK", 0, QApplication::UnicodeUTF8));
    iButtonCancel->setText(QApplication::translate("DlgPage", "&Cancel", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(DlgPage);
    } // retranslateUi

};

namespace Ui {
    class DlgPage: public Ui_DlgPage {};
} // namespace Ui

#endif // UI_DLGPAGE_H
