// --------------------------------------------------------------------
// Ipelets
// --------------------------------------------------------------------
/*

    This file is part of the extensible drawing editor Ipe.
    Copyright (C) 1993-2005  Otfried Cheong

    Ipe is free software; you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    As a special exception, you have permission to link Ipe with the
    CGAL library and distribute executables, as long as you follow the
    requirements of the Gnu General Public License in regard to all of
    the software in the executable aside from CGAL.

    Ipe is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
    License for more details.

    You should have received a copy of the GNU General Public License
    along with Ipe; if not, you can find it at
    "http://www.gnu.org/copyleft/gpl.html", or write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#include "ipelet.h"

// --------------------------------------------------------------------

//! Pure virtual destructor.
Ipelet::~Ipelet()
{
  // nothing
}

//! Return the number of functions implemented by this Ipelet.
/*! The default implementation returns 1. */
int Ipelet::NumFunctions() const
{
  return 1;
}

//! Return a label for each function implemented by this Ipelet.
/*! This is not called if NumFunctions returns 1. */
const char *Ipelet::SubLabel(int) const
{
  return 0;
}

//! Return an 'about' or copyright notice for this ipelet.
/*! Ipe displays this in the ipelet About box. */
const char *Ipelet::About() const
{
  return 0;
}

// --------------------------------------------------------------------
